--- old/usr/src/lib/libmalloc/Makefile.com	2019-07-05 17:33:10.550575083 +0000
+++ new/usr/src/lib/libmalloc/Makefile.com	2019-07-05 17:33:10.567586731 +0000
@@ -22,13 +22,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 
 LIBRARY=	libmalloc.a
 VERS=		.1
 
-OBJECTS= 	malloc.o
+OBJECTS=	malloc.o
 
 # include library definitions
 include ../../Makefile.lib
@@ -46,6 +44,13 @@
 DYNFLAGS +=	$(ZINTERPOSE)
 LDLIBS +=	-lc
 
+COMPATLINKS=	/usr/ccs/lib/libmalloc.so \
+		/usr/ccs/lib/$(MACH64)/libmalloc.so
+
+$(ROOT)/usr/ccs/lib/libmalloc.so := COMPATLINKTARGET=../../lib/libmalloc.so.1
+$(ROOT)/usr/ccs/lib/$(MACH64)/libmalloc.so:= \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/libmalloc.so.1
+
 .KEEP_STATE:
 
 lint: lintcheck
